import { RequestOptionsFactory } from '@wix/sdk-types';
/** Retrieves a single post by ID. */
export declare function getPost(payload: object): RequestOptionsFactory<any>;
/** Retrieves a single post by URL slug. */
export declare function getPostBySlug(payload: object): RequestOptionsFactory<any>;
/**
 * Returns a list of posts by query.
 *
 * Paging
 * - limit: default - 10, min - 0, max - 100
 * - offset: default - 0, min - 0
 *
 * Filterable fields:
 * - id
 * - categoryId
 * - ownerId
 * - title
 * - contentText
 * - bestAnswerCommentId
 * - pinned
 * - commentingEnabled
 * - commentCount
 * - likeCount
 * - viewCount
 * - createdDate
 * - editedDate
 * - lastActivityDate
 * - slug
 *
 * Sortable fields:
 * - lastActivityDate
 * - createdDate
 * - commentCount
 * - viewCount
 * - likeCount
 * - pinned
 */
export declare function queryPosts(payload: object): RequestOptionsFactory<any>;
