import { getPost as publicGetPost, getPostBySlug as publicGetPostBySlug, queryPosts as publicQueryPosts, } from './forum-v1-post-posts.public.js';
import { createRESTModule } from '@wix/sdk-runtime/rest-modules';
import { createEventModule } from '@wix/sdk-runtime/event-definition-modules';
import { onPostClosed as publicOnPostClosed } from './forum-v1-post-posts.public.js';
import { onPostCreated as publicOnPostCreated } from './forum-v1-post-posts.public.js';
import { onPostDeleted as publicOnPostDeleted } from './forum-v1-post-posts.public.js';
import { onPostLiked as publicOnPostLiked } from './forum-v1-post-posts.public.js';
import { onPostMoved as publicOnPostMoved } from './forum-v1-post-posts.public.js';
import { onPostOpened as publicOnPostOpened } from './forum-v1-post-posts.public.js';
import { onPostPinned as publicOnPostPinned } from './forum-v1-post-posts.public.js';
import { onPostReacted as publicOnPostReacted } from './forum-v1-post-posts.public.js';
import { onPostReported as publicOnPostReported } from './forum-v1-post-posts.public.js';
import { onPostUnliked as publicOnPostUnliked } from './forum-v1-post-posts.public.js';
import { onPostUnpinned as publicOnPostUnpinned } from './forum-v1-post-posts.public.js';
import { onPostUnreacted as publicOnPostUnreacted } from './forum-v1-post-posts.public.js';
import { onPostUpdated as publicOnPostUpdated } from './forum-v1-post-posts.public.js';
export const getPost = /*#__PURE__*/ createRESTModule(publicGetPost);
export const getPostBySlug = /*#__PURE__*/ createRESTModule(publicGetPostBySlug);
export const queryPosts = /*#__PURE__*/ createRESTModule(publicQueryPosts);
/**
 * An existing post was closed for further comments.
 */
export const onPostClosed = createEventModule(publicOnPostClosed);
/**
 * A new post was created.
 */
export const onPostCreated = createEventModule(publicOnPostCreated);
/**
 * An existing post was removed.
 */
export const onPostDeleted = createEventModule(publicOnPostDeleted);
/**
 * An existing post was liked.
 */
export const onPostLiked = createEventModule(publicOnPostLiked);
/**
 * An existing post was moved to a different category.
 */
export const onPostMoved = createEventModule(publicOnPostMoved);
/**
 * An existing post was opened for further comments.
 */
export const onPostOpened = createEventModule(publicOnPostOpened);
/**
 * An existing post was pinned to the top of the post list.
 */
export const onPostPinned = createEventModule(publicOnPostPinned);
/**
 * An existing post was reacted.
 */
export const onPostReacted = createEventModule(publicOnPostReacted);
/**
 * An existing post was reported as inappropriate.
 */
export const onPostReported = createEventModule(publicOnPostReported);
/**
 * An existing post was unliked.
 */
export const onPostUnliked = createEventModule(publicOnPostUnliked);
/**
 * An existing post was unpinned from the top of the post list.
 */
export const onPostUnpinned = createEventModule(publicOnPostUnpinned);
/**
 * An existing post was unreacted.
 */
export const onPostUnreacted = createEventModule(publicOnPostUnreacted);
/**
 * An existing post was updated.
 */
export const onPostUpdated = createEventModule(publicOnPostUpdated);
export { PostType, Interaction, EntityType, IdentityType, ReportType, PostFieldField, Field, Order, WebhookIdentityType, } from './forum-v1-post-posts.universal.js';
//# sourceMappingURL=forum-v1-post-posts.context.js.map